HORIZON HASKELLDocslts/ghc-9.10.x248f8f02026-10-05Search names, modules, packages, or :: a typeCtrl K

GHC 9.10.3 · lts/ghc-9.10.x · 248f8f0 · 2026-10-05

Modulestripeapi-3.0.0.0Haskell2010

StripeAPI.Operations.GetSourcesSource

Contains the different functions to run the operation getSourcesSource

  • 2 types
  • 2 values
  • Packagestripeapi-3.0.0.0
  • Exports4
  • LanguageHaskell2010
  • LicenceMIT
  • SourceGetSourcesSource.hs
valuegetSourcesSource
  1. :: MonadHTTP m
  2. => GetSourcesSourceParameters

    Contains all available parameters of this operation (query and path parameters)

  3. -> ClientT m (Response GetSourcesSourceResponse)

    Monadic computation which returns the result of the operation

#
GET /v1/sources/{source}

<p>Retrieves an existing source object. Supply the unique source ID from a source creation request and Stripe will return the corresponding up-to-date source object information.</p>

Defines the object schema located at paths./v1/sources/{source}.GET.parameters in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Represents a response of the operation getSourcesSource.

The response constructor is chosen by the status code of the response. If no case matches (no specific case for the response code, no range case, no default case), GetSourcesSourceResponseError is used.

Constructors

Instances2Eq, Show